# m_desktop.h File Reference

## Detailed Description

Mode class for the Desktop mode.

Definition in file m_desktop.h.

`#include "dll.h"`
`#include "m_mode_base.h"`
`#include "data.h"`
`#include "socket.h"`
`#include "record.h"`
`#include "parser.h"`
`#include "builder.h"`

Include dependency graph for m_desktop.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::Mode::Desktop
| The main interface class to the device databases. More...
class | Barry::Mode::DBLoader
| Database Loader operation class. More...
class | Barry::DeviceBuilder
| Takes a list of database dbId's and behaves like a Builder, trying to avoid copies where possible on the device loading end. More...
struct | Barry::DeviceBuilder::DBLabel
class | Barry::DeviceParser
| A parser class that "parses" raw data into a device. More...